%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Summary: A set of tools to gather troubleshooting information from a system
Name: sos
Version: 3.2
Release: 16%{?dist}.2
Group: Applications/System
Source0: https://github.com/sosreport/sos/archive/%{version}/sos-%{version}.tar.gz
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Url: http://github.com/sosreport/sos
BuildRequires: python-devel
BuildRequires: gettext
Requires: libxml2-python
Requires: python-six
Requires: bzip2
Requires: xz
Obsoletes: sos-plugins-openstack
Patch0: sos-six-compat.patch
Patch1: sos-bz1116349-call-rhsm-debug-with-no-subscriptions.patch
Patch2: sos-bz1140427-powerpc-allow-powerpc-plugin-to-run-on-ppc64le.patch
Patch3: sos-bz1148551-ovirt_hosted_engine-fix-exception-when-force-enabled.patch
Patch4: sos-bz1087515-corosync-add-postprocessing-for-corosync-objctl.patch
Patch5: sos-bz1148375-add-support-for-tomcat7.patch
Patch6: sos-bz1126001-obtain-mysql-password-from-env.patch
Patch7: sos-bz1158891-sosreport-fix-archive-permissions-regression.patch
Patch8: sos-bz1110918-fix-kpatch-force-enabled.patch
Patch9: sos-bz1118152-disable-the-zip-compression-type.patch
Patch10: sos-bz1166039-navicli-catch-unreadable-stdin.patch
Patch11: sos-bz1171658-docs-update-man-page-for-new-options.patch
Patch12: sos-bz1164267-sos-unicode-use-errors-ignore.patch
Patch13: sos-bz1126001-mysql-fix-command-line-dbpass-handling.patch
Patch14: sos-bz1112175-anaconda-make-useradd-password-regex-tolerant.patch
Patch15: sos-bz1087977-sosreport-catch-oserror-in-execute.patch
Patch16: sos-bz1087977-sosreport-do-not-make-logging-calls-after-oserror.patch
Patch17: sos-bz1026962-plugin-limit-names-to-pc_name_max.patch
Patch18: sos-bz1026962-squid-collect-var-log-squid.patch
Patch19: sos-bz1026962-sosreport-log-plugin-exceptions-to-file.patch
Patch20: sos-bz1026962-ctdb-fix-redhatplugin-tagging-use.patch
Patch21: sos-bz1026962-sosreport-fix-silent-exception-handling.patch
Patch22: sos-bz1180919-mysql-test-for-boolean-values.patch
Patch23: sos-bz1176159-mysql-improve-dbuser-dbpass-handling.patch
Patch24: sos-bz1201843-cluster-crmreport-create-dir.patch
Patch25: sos-bz1213315-openstack-neutron-to-collect-neutron-folders.patch
Patch26: sos-bz1162788-ovirt-engine-remove-password-leak.patch
Patch27: sos-bz1206633-fix-exception-when-networkmanager-disabled.patch
Patch28: sos-bz1229746-openstack-sahara-plugin.patch
Patch29: sos-bz1229746-redact-secrets-from-sahara-config.patch

Patch100: osp-bz1221289-openstack_trove-plugin.patch
Patch101: osp-bz1240667-openstack_neutron-obfuscate-passwords.patch 
Patch102: osp-bz1232720-mariadb-mysql-add-log.patch

%description
Sos is a set of tools that gathers information about system
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sos is commonly used to help
support technicians and developers.

%prep
%setup -qn %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1

%patch100 -p1
%patch101 -p1
%patch102 -p1 

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
%find_lang %{name} || echo 0

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_sbindir}/sosreport
%{_datadir}/%{name}
%{python_sitelib}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%doc AUTHORS README.md LICENSE 
%config(noreplace) %{_sysconfdir}/sos.conf

%changelog
* Wed Jul 08 2015 Lee Yarwood <lyarwood@redhat.com> = 3.2-16.2
- [openstack_trove] New Openstack Trove (DBaaS) plugin
- [openstack_neutron] Obscure passwords and secrets 
- [mysql] Collect log file
  Resolves: bz1221289, bz1240667, bz1232720
 
* Wed Jul 01 2015 Lee Yarwood <lyarwood@redhat.com> = 3.2-16.1
- [openstack] Fork sos for RHEL OSP use with RHEL 7.1.z
  Resolves: bz1232759
